document.addEventListener('DOMContentLoaded', () => {
    // Smooth scrolling for anchor links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Intersection Observer for fade-in animations
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.classList.add('visible');
            }
        });
    }, {
        threshold: 0.1
    });

    document.querySelectorAll('.principle-card, .force, .aircraft-card').forEach((el) => {
        observer.observe(el);
    });

    // Interactive forces diagram
    document.querySelectorAll('.force').forEach(force => {
        force.addEventListener('mouseover', () => {
            force.style.transform = 'scale(1.1)';
        });
        force.addEventListener('mouseout', () => {
            force.style.transform = 'scale(1)';
        });
    });
});